;; Minimal org setup. Adjust path in line 4!

(require 'cl)
(setq load-path (cons "~/tmp/bin/org-mode/lisp" load-path)) ;;!ADJUST!
(require 'org-install)
(global-font-lock-mode 1)
(setq org-agenda-ndays 1
      org-agenda-files (quote ("~/test.org")) ;;!ADJUST!
      org-agenda-time-grid (quote ((daily weekly today require-timed) "----------------" ( 0000 0200 0400 0600 0800 1000 1200 1400 1600 1800 2000 2200 2359))))
;      org-agenda-time-grid (quote ((daily weekly today require-timed) "----------------" ( 0200 0400 0600 0800 1000 1200 1400 1600 1800 2000 2200 2359))))
(global-set-key "\C-ca" 'org-agenda)

;; (defun org-agenda-add-time-grid-maybe (list ndays todayp)
;;   (catch 'exit
;;     (cond ((not org-agenda-use-time-grid) (throw 'exit list))
;; 	  ((and todayp (member 'today (car org-agenda-time-grid))))
;; 	  ((and (= ndays 1) (member 'daily (car org-agenda-time-grid))))
;; 	  ((member 'weekly (car org-agenda-time-grid)))
;; 	  (t (throw 'exit list)))
;;     (let* ((have (delq nil (mapcar
;; 			    (lambda (x) (get-text-property 1 'time-of-day x))
;; 			    list)))
;; 	   (string (nth 1 org-agenda-time-grid))
;; 	   (gridtimes (nth 2 org-agenda-time-grid))
;; 	   (req (car org-agenda-time-grid))
;; 	   (remove (member 'remove-match req))
;; 	   new time)
;;       (if (and (member 'require-timed req) (not have))
;; 	  ;; don't show empty grid
;; 	  (throw 'exit list))
;;       (while (setq time (pop gridtimes))
;; 	(unless (and remove (member time have))
;; 	  (setq time (int-to-string time))
;; 	  (when (< (length time) 3) (setq time (concat "00" time)))  ;;MAN make sure time is at least 3 characters long or substring will fail
;; 	  (push (org-format-agenda-item
;; 		 nil string "" nil
;; 		 (concat (substring time 0 -2) ":" (substring time -2)))
;; 		new)
;; 	  (put-text-property
;; 	   1 (length (car new)) 'face 'org-time-grid (car new))))
;;       (if (member 'time-up org-agenda-sorting-strategy-selected)
;; 	  (append new list)
;; 	(append list new)))))
